curl "https://api.scanova.io/custom-domain/42/ssl-certificate/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"status": "ISSUED",
"expiry_status": "healthy",
"days_until_expiry": 82,
"issued_at": "2026-08-01T00:00:00Z",
"expires_at": "2026-11-01T00:00:00Z"
}
Benutzerdefinierte Domains
SSL-Zertifikatsstatus abrufen
GET /custom-domain//ssl-certificate/
GET
/
custom-domain
/
{pk}
/
ssl-certificate
/
curl "https://api.scanova.io/custom-domain/42/ssl-certificate/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"status": "ISSUED",
"expiry_status": "healthy",
"days_until_expiry": 82,
"issued_at": "2026-08-01T00:00:00Z",
"expires_at": "2026-11-01T00:00:00Z"
}
Ruft den SSL-Zertifikatsstatus für eine Domain ab, auf dem Management-API-Host (
Wenn noch kein Zertifikat hochgeladen wurde, kommen
api.scanova.io), authentifiziert mit Ihrem rohen Management-API-Schlüssel.
GET https://api.scanova.io/custom-domain/{pk}/ssl-certificate/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
Nur für Enterprise. Erfordert die Quota
CUSTOM_DOMAIN_CUSTOM_SSL, die manuell vergeben wird — kein Self-Service-Plan enthält sie.integer
erforderlich
Die
id der Domain.curl "https://api.scanova.io/custom-domain/42/ssl-certificate/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"status": "ISSUED",
"expiry_status": "healthy",
"days_until_expiry": 82,
"issued_at": "2026-08-01T00:00:00Z",
"expires_at": "2026-11-01T00:00:00Z"
}
status und expiry_status als null zurück. 403, wenn dem Konto die Quota CUSTOM_DOMAIN_CUSTOM_SSL fehlt; 404, wenn pk keine Domain ist, die diesem Konto gehört.
Verwandte Themen
- SSL-Zertifikat hochladen — ein Zertifikat für diese Domain aktivieren.
- SSL-Zertifikatsanfrage erstellen — die CSR, mit der ein hier hochgeladenes Zertifikat übereinstimmen muss.
- Übersicht über die Management API — das Authentifizierungsschema und die Quota-Regeln für diesen Endpunkt.
Autorisierungen
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Pfadparameter
Antwort
Certificate status, or nulls if none uploaded yet.
War diese Seite hilfreich?